<#--    -->
<#if ctrl.getPortletType() != 'CONTAINER'>
<#ibizinclude>
../@MACRO/HTML/DEFAULT.html.ftl
</#ibizinclude>
<#else>
  <#assign portletClass = "portlet-container">
  <#assign portletHeight = "100%">
  <#assign portletWidth = "100%">
  <div class='${portletClass} ${srffilepath2(ctrl.getCodeName())} <#if ctrl.getPSSysCss()??> ${ctrl.getPSSysCss().getCssName()}</#if>' :style="{<#if (ctrl.getHeight?? && ctrl.getHeight() gt 0)>'height': isAdaptiveSize ? '${portletHeight}' : <#if ctrl.getHeight() == 0>'auto'<#else>'${ctrl.getHeight()?c}px'</#if>,</#if><#if (ctrl.getWidth?? && ctrl.getWidth() gt 0)>'width': isAdaptiveSize ? '${portletWidth}' : '${ctrl.getWidth()?c}px '</#if>}">
    <#list ctrl.getPSPortlets() as portlet><#t>
      <#if portlet.getPortletType?? && portlet.getPortletType()??><#t>
        <#assign layout='TABLE_24COL'><#if portlet.getPSLayoutPos()??><#if portlet.getPSLayoutPos().getParentPSLayout()??><#assign layout='${portlet.getPSLayoutPos().getParentPSLayout().getLayout()}'></#if></#if><#t>
        <#assign LayoutPos = portlet.getPSLayoutPos()><#t>
        <#if layout == 'FLEX' >
        <div style = '<#if layout == 'FLEX' > display : flex; <#if ctrl.getFlexAlign()??> justify-content :${ctrl.getFlexAlign()};</#if> <#if ctrl.getFlexDir()??> flex-direction:${ctrl.getFlexDir()};</#if> <#if ctrl.getFlexVAlign()??>align-items:${ctrl.getFlexVAlign()};</#if></#if> '>
        </#if>
        <#if layout == 'TABLE_24COL' && LayoutPos??><#t>
        <i-col<#if LayoutPos.getColXS() != -1> :xs="{ span: ${LayoutPos.getColXS()}, offset: <#if LayoutPos.getColXSOffset() != -1>${LayoutPos.getColXSOffset()}<#else>0</#if> }"</#if><#if LayoutPos.getColSM() != -1> :sm="{ span: ${LayoutPos.getColSM()}, offset: <#if LayoutPos.getColSMOffset() != -1>${LayoutPos.getColSMOffset()}<#else>0</#if> }"</#if><#if LayoutPos.getColMD() != -1> :md="{ span: ${LayoutPos.getColMD()}, offset: <#if LayoutPos.getColMDOffset() != -1>${LayoutPos.getColMDOffset()}<#else>0</#if> }"</#if><#if LayoutPos.getColLG() != -1> :lg="{ span: ${LayoutPos.getColLG()}, offset: <#if LayoutPos.getColLGOffset() != -1>${LayoutPos.getColLGOffset()}<#else>0</#if> }"</#if>>
            <div class="portlet-without-title">
            <@ibizindent blank=18>
            ${P.getCtrlCode(portlet, 'CONTROL.html').code}
            </@ibizindent>
            </div>
        </i-col>
        <#else>
        <div class="portlet-without-title">
        <@ibizindent blank=18>
        ${P.getCtrlCode(portlet, 'CONTROL.html').code}
        </@ibizindent>
        </div>
        </#if>
        <#if layout == 'FLEX' >
        </div>
        </#if>
      </#if>
    </#list>
  </div>
</#if>